regina::GroupExpressionTerm Struct Reference
Algebraic Structures

Represents a power of a generator in a group presentation. More...

`#include <algebra/grouppresentation.h>`

## Public Member Functions

| GroupExpressionTerm ()
| Creates a new uninitialised term. More...
| GroupExpressionTerm (unsigned long newGen, long newExp)
| Creates a new term initialised to the given value. More...
| GroupExpressionTerm (const GroupExpressionTerm &cloneMe)
| Creates a new term initialised to the given value. More...
GroupExpressionTerm & | operator= (const GroupExpressionTerm &cloneMe)
| Makes this term identical to the given term. More...
bool | operator== (const GroupExpressionTerm &other) const
| Determines whether this and the given term contain identical data. More...
bool | operator!= (const GroupExpressionTerm &other) const
| Determines whether this and the given term do not contain identical data. More...
bool | operator< (const GroupExpressionTerm &other) const
| Imposes an ordering on terms. More...
GroupExpressionTerm | inverse () const
| Returns the inverse of this term. More...
bool | operator+= (const GroupExpressionTerm &other)
| Attempts to merge this term with the given term. More...

## Public Attributes

unsigned long | generator
| The number that identifies the generator in this term. More...
long | exponent
| The exponent to which the generator is raised. More...

## Detailed Description

Represents a power of a generator in a group presentation.

The documentation for this struct was generated from the following file:

- algebra/grouppresentation.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).